import request from '/frontEnd/api/config/axios.js'

// 资方管理-关联支用-获取列表
export const getRelationDisburseList = (data) => (
  request({
    url: '/financialInstitution/doList',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-获取详情
export const getRelationDisburseDetails = (data) => (
  request({
    url: '/financialInstitution/getDetailList',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-获取详情-删除
export const relationDisbursDetailsDele = (data) => (
  request({
    url: '/financialInstitution/deleteEnterprise',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-添加资方账号
export const addRelationDisburseNumber = (data) => (
  request({
    url: '/financialInstitution/addAccount',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-根据关键字获取企业全称
export const getCompanyNameFormKey = (params) => (
  request({
    url: '/customer/doFindEnterpriseBySop',
    method: 'get',
    params
  })
)


// 资方管理-关联支用-关联企业-提交
export const relationDisbursAddEnterprise= (data) => (
  request({
    url: '/financialInstitution/addEnterprise',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-关联支用-获取支用级联
export const getRelationDisbursCreditData= (params) => (
  request({
    url: '/financialInstitution/getQuotaDisburseList',
    method: 'get',
    params
  })
)

// 资方管理-关联支用-关联支用-提交
export const relationDisbursSubmit= (data) => (
  request({
    url: '/financialInstitution/addEnterpriseDisburse',
    method: 'post',
    data
  })
)

// 资方管理-关联支用-重置资方密码
export const relationDisbursResetPassword= (params) => (
  request({
    url: '/financialInstitution/modifyPassword',
    method: 'get',
    params
  })
)
